| Kea 3.0.2-git

ip_range_permutation.h File Reference
`#include <asiolink/io_address.h>`
`#include <dhcpsrv/ip_range.h>`
`#include <util/bigints.h>`
`#include <boost/shared_ptr.hpp>`
`#include <map>`
`#include <random>`
Include dependency graph for ip_range_permutation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dhcp::IPRangePermutation
| Random IP address/prefix permutation based on Fisher-Yates shuffle. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef boost::shared_ptr< IPRangePermutation > | isc::dhcp::IPRangePermutationPtr
| Pointer to the `IPRangePermutation`.